groovy.lang

## Annotation Type Mixin

Deprecated.
static mixins have been deprecated in favour of traits (trait keyword).

    @Documented
     @Retention(value=RUNTIME)
     @Target(value=TYPE)
     @Deprecated
    public @interface Mixin

Provides a mechanism for mixing in methods into a class.

Author:
  Alex Tkachman

### Required Element Summary

Required Elements
`java.lang.Class[]` `value` Deprecated.

### Element Detail

#### value

    public abstract java.lang.Class[] value

Deprecated.